import javax.swing.JOptionPane;
import javax.swing.JDialog;
import javax.swing.JTextField;
import java.beans.*; 
import java.awt.*;
import java.awt.event.*;

/**
* @author Hasan Timucin Ozdemir
* @date   February 24, 1999
*/
public class LoadComponentForm extends JDialog {

    private String typedText  = null;

    private JOptionPane optionPane;

    String myName = ""; 
    String myImgFile = ""; 
    String myPath = ""; 
    String myUrl = ""; 
    String myDefFileName = ""; 
    public String getName()        { return myName; }
    public String getImageFile()   { return myImgFile; }
    public String getDefFileName() { return myDefFileName; }
    public String getPath()        { return myPath; }
    public String getUrl()         { return myUrl; }

    public LoadComponentForm( Frame aFrame ) {
       super(aFrame, "Component Form", true);

       //if(_myName!=null) myName = _myName;
       setTitle("Component Form");

       final String msgString1 = "Component Name";
       final JTextField textField1 = new JTextField(30);
       textField1.setText(myName);

       final String msgString2 = "Image File Name";
       final JTextField textField2 = new JTextField(30);
       textField2.setText(myImgFile);

       final String msgString3 = "Component Description File Name";
       final JTextField textField3 = new JTextField(30);
       textField3.setText(myDefFileName);

       final String msgString4 = "Path";
       final JTextField textField4 = new JTextField(30);
       textField4.setText(myPath);

       final String msgString5 = "Url";
       final JTextField textField5 = new JTextField(30);
       textField5.setText(myUrl);

       Object[] array = { msgString1, textField1, 
                          msgString2,  textField2,
                          msgString3,  textField3,
                          msgString4,  textField4, msgString5, textField5 };

       final String btnString1 = "Enter";
       final String btnString2 = "Cancel";
       Object[] options = {btnString1, btnString2};

       optionPane = new JOptionPane(array, 
                                    JOptionPane.QUESTION_MESSAGE,
                                    JOptionPane.YES_NO_OPTION,
                                    null,
                                    options,
                                    options[0]);
        setContentPane(optionPane);
        setDefaultCloseOperation(DO_NOTHING_ON_CLOSE);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent we) {
              optionPane.setValue(new Integer(JOptionPane.CLOSED_OPTION));
            }
        });

        textField1.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                optionPane.setValue(btnString1);
            }
        });

        optionPane.addPropertyChangeListener(new PropertyChangeListener() {
            public void propertyChange(PropertyChangeEvent e) {
                String prop = e.getPropertyName();

                if (isVisible() && (e.getSource() == optionPane) && 
                    (prop.equals(JOptionPane.VALUE_PROPERTY) ||
                     prop.equals(JOptionPane.INPUT_VALUE_PROPERTY))) {
                    Object value = optionPane.getValue();

                    if (value == JOptionPane.UNINITIALIZED_VALUE) return; 
                    setVisible(false); 
                    if (value.equals(btnString1))  { 
                      myName = textField1.getText();
                      myImgFile = textField2.getText();
                      myDefFileName = textField3.getText(); 
                      myPath = textField4.getText();
                      myUrl = textField5.getText(); 
                    }
             }
           }
        });
    }
}// end of GetName

